package com.adealink.weparty.commonui.mediapicker.imageselect.listener

import com.adealink.weparty.commonui.mediapicker.imageselect.model.LocalMedia
import com.adealink.weparty.commonui.mediapicker.imageselect.model.LocalMediaFolder

interface OnOperateListener {

    fun onSelectImage(imageInfo: LocalMedia)

    fun onSelectVideo(videoInfo: LocalMedia)

    fun onSelectFolder(folderInfo: LocalMediaFolder)

    fun onItemChecked(position: Int)

    fun onTakeAll()

    fun onTakePhoto()

    fun onTakeVideo()

}